#!/usr/bin/env python3

# Always prefer setuptools over distutils
from setuptools import setup, find_packages

# To use a consistent encoding
from codecs import open
from os import path

# The directory containing this file
HERE = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(HERE, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

# This call to setup() does all the work
setup(
    name="getharvest_api_wrapper",
    version="0.1.0",
    description="A very basic and incomplete API Wrapper for the getharvest.com API",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://gitlab.com/mrshll1001/python-harvest-api-wrapper/",
    author="Matt Marshall",
    author_email="communications@mrshll.uk",
    license="GPLv3",
    classifiers=[
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent"
    ],
    packages=["getharvest_api_wrapper"],
    include_package_data=True,
    install_requires=[]
)
